<?php
if ( !defined('ABSPATH') )
	exit("Sorry, you are not allowed to access this page directly.");
if ( !isset($this) || !is_a($this, HackadelicSeriesFrontend) )
	exit("Invalid operation context.");

$options = array(
	array(
		'optitle' => 'Main Intro', 
		'opkey' => $this->fullname('MAIN_INTRO'),
		'opval' => $this->MAIN_INTRO ),
	array(
		'optitle' => 'List Intro Text', 
		'opkey' => $this->fullname('LIST_INTRO'),
		'opval' => $this->LIST_INTRO ),
);
?>
<div class="wrap">
<h2><?php echo $this->PLUGIN_TITLE ?> Settings</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<table class="form-table">

<?php foreach ($options as $op) : extract($op) ; $oplist[] = $opkey ?>
<tr valign="top">
<th scope="row"><?php $this->e($optitle) ?></th><td>
	<input type="text" name="<?php echo $opkey ?>" value="<?php echo $opval ?>" style="width:100%" />
</td>
</tr>
<?php endforeach ?>

</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="<?php echo join(',', $oplist) ?>" />
<p class="submit">
<input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
</p>
</form>

<hr size="1" />
<p><?php $this->e('To learn more about the plug-in, visit') ?> <a href="http://hackadelic.com/solutions/wordpress/series"><?php $this->e('the plug-in homepage') ?></a>, <?php $this->e('and') ?> <a href="http://hackadelic.com/hackadelic-series-plugin-arrr"><?php $this->e('the plug-in annoucement') ?></a>.</p>

<p><?php $this->e('Cheers and happy serial writing!') ?> -- <em><a href="http://hackadelic.com">Hackadelic</a></em>
</p>
<hr size="1" />
<p><em><?php $this->e('Need an expert plugin developer?') ?>
 <a href="http://hackadelic.com/contact"><?php $this->e('Contact me') ?>!</a></em>
</p>
</div>
